Package weka.gui

# Interface CustomPanelSupplier

All Known Implementing Classes:
  `GenericObjectEditor`

public interface CustomPanelSupplier
An interface for objects that are capable of supplying their own custom GUI components. The original purpose for this interface is to provide a mechanism allowing the GenericObjectEditor to override the standard PropertyPanel GUI.

Version:
  $Revision: 1.3 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`JPanel`
`getCustomPanel()`
Gets the custom panel for the object.

## Method Details

### getCustomPanel

JPanel getCustomPanel()
Gets the custom panel for the object.

Returns:
  the custom JPanel